services:
  rabbitmq:
    networks:
      - iris_backend
      - soc_shared

  db:
    networks:
      - iris_backend
      - soc_shared

  app:
    ports:
      - "8001:8000"
    networks:
      - iris_backend
      - iris_frontend
      - soc_shared

  worker:
    networks:
      - iris_backend
      - soc_shared

  nginx:
    networks:
      - iris_frontend
      - soc_shared

networks:
  soc_shared:
    external: true
    name: ${SOC_SHARED_NETWORK:-soc_shared}
